spandsp 0.0.6

t31_audio_front_end_state_t Struct Reference

`#include <t31.h>`

## Public Attributes
fax_modems_state_t | modems
span_tx_handler_t * | next_tx_handler
void * | next_tx_user_data
int | bit_no
| No of data bits in current_byte.
int | current_byte
| The current data byte in progress.
power_meter_t | rx_power
| Rx power meter, used to detect silence.
int16_t | last_sample
| Last sample, used for an elementary HPF for the power meter.
int32_t | silence_threshold_power
| The current silence threshold.
int | silence_heard
| Samples of silence heard.

## Detailed Description

Analogue FAX front end channel descriptor. This defines the state of a single working instance of an analogue line FAX front end.

## Member Data Documentation

## ◆ next_tx_handler

span_tx_handler_t* t31_audio_front_end_state_t::next_tx_handler

The transmit signal handler to be used when the current one has finished sending.

The documentation for this struct was generated from the following file:

- private/t31.h